<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Link Sharing</title>
    <style>
    body {
        background-color: #DAF7A6;
        }
    </style>
</head>
<body>
    <script>
      window.onload=function(){
        var input = document.getElementById('file-upload');
        input.addEventListener('change',showFileName);
      }

      function showFileName(event) {
        var infoArea = document.getElementById('file-upload-filename');
        var input = event.srcElement;
        console.log(input)

        var fileName = input.files[0].name;
        console.log(fileName)

        infoArea.textContent = 'Selected file to upload: ' + fileName;
      }

      function SavePhoto(file, firstName){
          const ctrl = new AbortController()
          setTimeout(() => ctrl.abort(), 10000);

          try {
             var uploadUrl = "https://2tc2k0ukck.execute-api.us-east-2.amazonaws.com/test/test-bara/"+firstName;
             let r = fetch(uploadUrl, {method: "PUT", body: file, signal: ctrl.signal});
             console.log('HTTP response code:',r.status);
          } catch(e) {
             console.log('Error while uploading file to S3', e);
          }
        }

        function callAPI(file_name, pwd, file) {

            SavePhoto(file, file_name);

            var responsep = document.getElementById('response');
            var myHeaders = new Headers();
            myHeaders.append("Content-Type", "application/json");
            var raw = JSON.stringify({"filename":file_name, "password":pwd, "authenticate":false});
            var requestOptions = {
                method: 'POST',
                headers: myHeaders,
                body: raw,
                redirect: 'follow'
            };
            fetch("https://ubh16tmu3m.execute-api.us-east-2.amazonaws.com/dev", requestOptions)
            .then(response => response.text())
            .then(result =>  {responsep.textContent = JSON.parse(result).body})
            .catch(error => console.log('error', error));
        }
    </script>

    <form>
        <label>File Name :</label>
        <input type="text" id="file_name"><br>
        <label>Password (optional) :</label>
        <input type="password" id="pwd"><br>
        <input type="file" id="file-upload">
        <div id="file-upload-filename"></div><br>
        <button type="button" onclick="callAPI(document.getElementById('file_name').value,document.getElementById('pwd').value, document.getElementById('file-upload').files[0])">Upload</button><br>
        <div id="response"></div><br>
    </form>
</body>
</html>
